// ThermostatUDP.h

#ifndef _THERMOSTATUDP_h
#define _THERMOSTATUDP_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif

#include <ArduinoJson.h>				//https://github.com/bblanchon/ArduinoJson/releases
class ThermostatUDP
{
public:

	void initializeUDP();

	void writeThermostat();
	void sendUDPJson(DynamicJsonDocument doc);
	void getUDPJson();
	void sendStatus();
};

extern ThermostatUDP thermostatUDP;

#endif

