// hpWebServer.h

#ifndef _HPWEBSERVER_h
#define _HPWEBSERVER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif
#include "HPController.h"
//
void setupOTAUpdate(void);
void setupWebServer();

static const char* ssdpTemplate =
"<?xml version=\"1.0\"?>"
"<root xmlns=\"urn:schemas-upnp-org:device-1-0\">"
"<specVersion>"
"<major>1</major>"
"<minor>0</minor>"
"</specVersion>"
"<URLBase>http://%d.%d.%d.%d:80/description.xml</URLBase>"
"<device>"
"<deviceType>urn:schemas-upnp-org:device:BinaryLight:1</deviceType>"
"<friendlyName>%s</friendlyName>"
"<presentationURL>http://%d.%d.%d.%d</presentationURL>"
"<serialNumber>%u</serialNumber>"
"<modelName>%s</modelName>"
"<modelNumber>%s</modelNumber>"
"<modelURL></modelURL>"
"<manufacturer>NTP</manufacturer>"
"<manufacturerURL></manufacturerURL>"
"<UDN>uuid:38323636-4558-4dda-9188-cda0e6%02x%02x%02x</UDN>"
"</device>"
"</root>\r\n"
"\r\n";


#endif

